---
layout: docs
page_title: hosts delete - Command
description: >-
  The "hosts delete" command deletes an existing host resource.
---

# hosts delete

Command: `hosts delete`

The `hosts delete` command lets you delete an existing host by providing the ID.

## Example

This example deletes a host with the ID `h_1234567890`:

```shell-session
$ boundary hosts delete -id h_1234567890
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary hosts delete [options] [args]
```

</CodeBlockConfig>

### Command options

- `-id=<string>` - The ID of the host you want to delete.

@include 'cmd-option-note.mdx'